Add vendors to a segment.
curl --request PUT \
--url https://api.topsort.com/public/v1/segment-service/segments/{segment_id}/vendors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vendorIds": [
"<string>"
]
}
'import requests
url = "https://api.topsort.com/public/v1/segment-service/segments/{segment_id}/vendors"
payload = { "vendorIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({vendorIds: ['<string>']})
};
fetch('https://api.topsort.com/public/v1/segment-service/segments/{segment_id}/vendors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"vendorIds": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Segments Service
Add vendors to a segment.
Add vendors to a segment.
Vendors already on the segment stay. An empty result means the segment is global.
PUT
/
public
/
v1
/
segment-service
/
segments
/
{segment_id}
/
vendors
Add vendors to a segment.
Autorisations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Paramètres de chemin
The external ID of the segment.
Corps
application/json
External vendor IDs to add to the segment.
Required array length:
1 - 100 elementsRequired string length:
1 - 255Cette page vous a-t-elle été utile ?